Author: Hiroto Kagotani Category:
Created: 06/05/2014 Assignee:
Updated: 04/12/2018 Due date:
Description: Some universities use student ids in the form of e.g. "T14C999".

Letters represent student's faculty and department.

This is an example usage of a new command for such student ids.

<pre>
\AMCcode*{studentid}{7}{TC,0-9,0-9,A-C,0-9,0-9,0-9}
</pre>

Then it will render:

<pre>
[]T []0 []0 []A []0 []0 []0
[]C []1 []1 []B []1 []1 []1
    []2 []2 []C []2 []2 []2
    []3 []3     []3 []3 []3
...
</pre>

History
10/30/2014 06:52 pm - Christian Delfosse
using a "true" student id takes a lot of vertical space because ten digits are necessary, therefore limiting the number of questions.
with ~100 students, one might have three 5-digit columns, or four 4-digit columns, etc
since everything finally boils up to having a code in a .csv file, the feature could be useful for that purpose too.

10/31/2014 02:30 pm - Alexis Bienvenüe
- Target version set to 1.4.0

10/05/2017 12:34 pm - Alexis Bienvenüe
- Status changed from New to Feedback

The LaTeX command @\AMCcodeGrid@ is coming with revision commit:23df58dff482 for that purpose. You can use for example

  \AMCcodeGrid[top]{student}{TC,0123456789,0123456789,ABC,0123456789,0123456789,0123456789}

Please test!

03/06/2018 09:29 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
04/12/2018 01:28 pm - Hiroto Kagotani
This feature perfectly works.
Thanks!
